<div class="container">
  <table class="container">
    <tr>
      <td width="25%" valign="top">
        <div class="bottomtable">
          <table class="stretch">
            <tr>
              <td>
                <table>
                  <tr>
                    <td>
                      <input matInput class="inputNumber" placeholder="Width" [(ngModel)]="width" type="number">
                    </td>
                    <td>
                      <input matInput class="inputNumber" placeholder="Height" [(ngModel)]="height" type="number">
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            <tr>
              <td align="center" rowspan="2">
                <button mat-button (click)="resizeAndReset()">Resize and reset</button>
              </td>
            </tr>
          </table>
          <hr>

          <table class="stretch">
            <tr>
              <td align="center">
                <button mat-button (click)="onUndo()" [disabled]="addOrder.length===0">Undo</button>
                <button mat-button (click)="onReset()">Reset</button>
              </td>
            </tr>
          </table>
          <hr>

          <table class="stretch">
            <tr>
              <td valign="middle" align="center">
                <mat-radio-group [(ngModel)]="seatSpace">
                  <mat-radio-button value="1">Seat space</mat-radio-button>
                  <mat-radio-button value="0">Ground floor</mat-radio-button>
                </mat-radio-group>
              </td>
            </tr>
            <hr>
            <tr>
              <td valign="middle" align="center">
                <div>
                  <table class="stretch">
                    <tr  class="outlined" *ngFor="let ss of addedSeatSpaces">
                      <td align="left" width="60%">
                        Seat space
                      </td>
                      <td align="left" width="15%">
                        {{ss.seats}}x{{ss.rows}}
                      </td>
                      <td align="left" width="25%">
                        ({{ss.seats*ss.rows}}seats)
                      </td>
                    </tr>
                    <hr *ngIf="addedSeatSpaces.length !== 0 && addedGroundFloors.length !== 0">
                    <tr class="outlined" *ngFor="let gf of addedGroundFloors">
                      <td align="left" width="60%">
                        Ground floor
                      </td>
                      <td align="left" width="15%">
                        {{gf.width}}x{{gf.height}}
                      </td>
                      <td align="left" width="25%">
                      </td>
                    </tr>
                  </table>
                </div>
              </td>
            </tr>



          </table>
        </div>
      </td>
      <td width="75%" valign="top">
        <table>
          <tr>
            <td>
              <table align="center" class="mat-elevation-z8">
                <tr *ngFor="let row of rows" [ngStyle]="{'height' : minimum((getScreenWidth()*0.6)/columnNumber, (getScreenHeight()*0.6)/rowNumber)-2 + 'px'}" >
                  <td id="row{{row}}column{{column}}"
                      (click)="onSeatClick(row, column)"
                      (mouseenter)="onSeatMouseEnter(row, column)"
                      [ngClass]="{'notselected': cellClasses[row][column]==='notsel','selected seatspace': cellClasses[row][column]==='selectedseatspace','selected groundfloor': cellClasses[row][column]==='selectedgroundfloor','invalid': invalidCells[row][column]===true,'prepared': cellClasses[row][column]==='prepared'}"
                      *ngFor="let column of columns"
                      [ngStyle]="{'width' : minimum((getScreenWidth()*0.6)/columnNumber, (getScreenHeight()*0.6)/rowNumber)-2 + 'px'}">
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td align="center" valign="top">
              <div>
                <form novalidate #addSpaceLayoutForm="ngForm">
                  <mat-form-field>
                    <input matInput [(ngModel)]="name" name="name" class="inputText" placeholder="Name" type="text" required>
                    <mat-error *ngIf="addSpaceLayoutForm.controls.name?.errors?.required">Name for Space Layout is required</mat-error>
                  </mat-form-field>
                <button mat-button (click)="onConfirm()" id="addSpaceLayoutConfirm" [disabled]="!addSpaceLayoutForm.valid" [mat-dialog-close]="spaceLayout">Confirm</button>
                </form>
              </div>
            </td>
          </tr>
        </table>

      </td>


    </tr>
  </table>



</div>
